Bug 271126 - konqueror ctrl+e run command does not insert selected files any more
Summary: konqueror ctrl+e run command does not insert selected files any more
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: 4.4.2
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-16 20:46 UTC by Leo Savernik
Modified: 2012-09-17 16:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Savernik 2011-04-16 20:46:16 UTC
Version:           4.4.2 (using KDE 4.4.2) 
OS:                Linux

Ctrl+E enables the user to execute an arbitrary command in the currently displayed directory with the selected files appended as command line arguments. This stopped working in KDE 4.


Reproducible: Always

Steps to Reproduce:
Have konqueror display a file view (icon or list should not matter, I used list view)
1. Select some files.
2. Hit Ctrl+E


Actual Results:  
The execution dialog display an input line reading:
<current directory>

(<current directory> is currently opened directory in which files have been selected)
-> useless

Expected Results:  
In KDE 3.x, the execution dialog displayed the way more useful presetting:
'./echo' '<file1>' '<file2>' '<file3>'

displaying as many file_x_ as have been selected.


This is a regression over KDE 3.x  that makes KDE less useful. Please fix.
Comment 1 Burkhard Lück 2011-05-12 23:29:32 UTC
Ctrl+E behaves in kde3.10 trinity and kde4.6 in the same way.
In both environments with several files selected the execution dialog displays only 'file1' preselected.

I see no regression compared to kde3.
Comment 2 Leo Savernik 2011-05-14 12:16:19 UTC
I checked against an old installation of KDE 3.5.2, and, indeed, Ctrl+E only puts the first file in the dialog. However, KDE 4 did not only not put the first file into the dialog, but instead the directory within which the first file is located. And that is useless. I take from your answer that this bug is apparently fixed in KDE 4.6+

I still have access to an installation of KDE 3.5.8. If it also displays only the first selected file, then I probably erred. This will take me a few days, please hold.
Comment 3 Burkhard Lück 2011-05-20 12:26:17 UTC
Sorry, seems I was wrong about Ctrl+E in 3.9 and 4.6

I checked this again:
In 3.9 the line edit has the first item in the actual folder (file or folder) no matter if an other one is actually selected and displays it highlighted in quotes. 

In 4.6 the line edit has the full path highlighted in the line edit. In shellcmdplugin/kshellcmdplugin.cpp:61 code for the initial value for the line edit was commented with "#if 0 // to be ported if still needed"
Comment 4 Dawit Alemayehu 2012-09-16 13:30:43 UTC
Git commit 173282d249216c6b4cff949b461614ee75537092 by Dawit Alemayehu.
Committed on 13/09/2012 at 18:58.
Pushed by adawit into branch 'KDE/4.9'.

Fixed the shell command plugin to show the selected items when launched.
FIXED-IN: 4.9.2
REVIEW: 106440

M  +1    -1    konq-plugins/shellcmdplugin/kshellcmddialog.cpp
M  +35   -34   konq-plugins/shellcmdplugin/kshellcmdplugin.cpp

http://commits.kde.org/kde-baseapps/173282d249216c6b4cff949b461614ee75537092
Comment 5 Dawit Alemayehu 2012-09-16 13:31:16 UTC
Git commit f97c6d9889e371631842273c2447242f0acf0ff3 by Dawit Alemayehu.
Committed on 13/09/2012 at 18:58.
Pushed by adawit into branch 'master'.

Fixed the shell command plugin to show the selected items when launched.
FIXED-IN: 4.9.2
REVIEW: 106440
(cherry picked from commit 173282d249216c6b4cff949b461614ee75537092)

M  +1    -1    konq-plugins/shellcmdplugin/kshellcmddialog.cpp
M  +35   -34   konq-plugins/shellcmdplugin/kshellcmdplugin.cpp

http://commits.kde.org/kde-baseapps/f97c6d9889e371631842273c2447242f0acf0ff3
Comment 6 Leo Savernik 2012-09-17 16:16:03 UTC
Am Sonntag, 16. September 2012 15:30 schrieb Dawit Alemayehu:
> Fixed the shell command plugin to show the selected items when launched.

Great! Thank you for your indefatigable work to make KDE better :-)